%define		debug_package %{nil}

Name:		podsleuth
Version:	0.6.0
Release:	6%{?dist}
Summary:	Probes, identifies, and exposes properties and metadata bound to iPods
Group:		Applications/Multimedia
License:	MIT
URL:		http://banshee-project.org/PodSleuth
Source0:	http://banshee-project.org/files/%{name}/%{name}-%{version}.tar.bz2
Patch0:         podsleuth-0.6.0-haldevice.patch
Patch1:         podsleuth-0.6.0-wapidir.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	mono-devel
BuildRequires:	hal-devel
BuildRequires:	ndesk-dbus-devel
BuildRequires:	sg3_utils-devel

# JIT only availible on these:
ExclusiveArch: %ix86 x86_64 ppc ia64 armv4l sparc alpha
# Disabled due to strange build failure:
# s390 s390x

%description
Podsleuth probes, identifies, and exposes properties
and metadata bound to iPods.

%package devel
Summary: .pc file for podsleuth
Group: Documentation
Requires:	%{name} = %{version}-%{release} 
Requires:	pkgconfig

%description devel
Development files for podsleuth

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure --with-hal-callouts-dir=%{_libexecdir}

# Breaks when smp flag is set
make

%install
%{__rm} -rf %{buildroot}
make DESTDIR=%{buildroot} install

%clean
%{__rm} -rf %{buildroot}

%files 
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/podsleuth
%{_libdir}/podsleuth/
%{_libexecdir}/hal-podsleuth
%{_datadir}/hal/fdi/policy/20thirdparty/20-podsleuth.fdi

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/podsleuth.pc

%changelog
* Thu May 15 2008 Nigel Jones <dev@nigelj.com> - 0.6.0-6
- SELinux Policies included as of selinux-policy-3.3.1-51
- Update hal-podsleuth to not put .wapi in /root (bad bad thing)

* Sat May 5 2008 Nigel Jones <dev@nigelj.com> - 0.6.0-5
- Fix iPod detection w/ hal-info >= 20080313 (Closes: Bug #445611)
- Correct last changelog entry

* Mon Feb 18 2008 David Nielsen <david@lovesunix.net> - 0.6.0-4
- Spec fixes 
- Make exclusive arch at the request of callion

* Fri Feb 01 2008 David Nielsen <david@lovesunix.net> - 0.6.0-3
- More spec fixes

* Tue Jan 22 2008 David Nielsen <david@lovesunix.net> - 0.6.0-2
- Wolfy owes me karma points 

* Fri Jan 18 2008 David Nielsen <david@lovesunix.net> - 0.6.0-1
- Initial package
